Hi,

I did (my first) refactoring with this function.
Now:
    -  Smaller
    -  Less control structures,
    -  Logic outlines the similarities of an array and an object (to nest) -> I think easier to understand and more consistent

The 'big' change is in fact that I add afterwards the keys of the array/names of the properties. Before we looked after every possibility
extra!

A Question:
Why this limitation with the 100 spaces?

History
#1 - 2010-02-24 18:52 - Lukas Lentner
- File 6591.diff added

Here the diff

#2 - 2010-03-05 10:53 - Robert Lemke
- % Done changed from 100 to 50

#3 - 2010-07-09 14:16 - Robert Lemke
- Status changed from New to Needs Feedback

#4 - 2010-08-18 15:05 - Karsten Dambekalns
- Status changed from Needs Feedback to On Hold
- Start date deleted (2010-02-24)
#5 - 2011-01-02 01:24 - Lukas Lentner
I did

#6 - 2012-03-14 10:53 - Christian Müller
- Status changed from On Hold to Rejected
- Has patch set to No

In the meantime the method has changed quite a lot and the limit IMHO makes sense otherwise the output will totally break out. It would probably
make sense to log smaller chunks of data if you hit this limit. Reopen if you have a good use-case to change the limit.
